<?php

/**
 * Carerix Wordpress Plugin
 *
 * @category template manager
 * @author Bogdan Ivanov
 * @copyright Copyright (c) 2013 Carerix.com (http://www.carerix.com)
 * @link http://www.carerix.com
 * @since Aug 26, 2013 11:36:11 AM
 * @version $Rev$
 */

/**
 * Settings class
 * Used to generate an WP administration tab to view a list of cx shortcodes
 */
class Admin_Help_Gettingstarted extends WP_Page {

    protected $interfacer = null;

    public function __construct() {
        $this->interfacer = WP_Interfacer::getInstance();
    }

    public function getCapability() {
        return WP_Constants::CAPABILITY_ADMIN;
    }

    public function getMenuSlug() {
        return 'carerix_gettingstarted_page';
    }

    public function getMenuTitle() {
        return 'Getting started';
    }

    public function getPageTitle() {
        return 'Getting started';
    }

    public function page() {
	    $data = array(
		    'nop' => '',
	    );

	    $template = new Utils_Template('admin/help/gettingstarted');
	    $template->with($data)->display();
    }

    private function createActionLink($action_name) : string {
        return 'admin.php?page=' . $this->getParentTab()->getMenuSlug() .
                '&tab=' . $this->getMenuSlug() .
                '&action=' . $action_name;
    }

}