<?php

/**
 * Carerix Wordpress Plugin
 *
 * @category template manager
 * @author Ruben Waitz
 * @copyright Copyright (c) 2022 Carerix.com (http://www.carerix.com)
 * @link http://www.carerix.com
 * @since May 10, 2022
 * @version $Rev$
 */

/**
 * Admin_Settings class
 * Used to enable/disable bleeding edge features
 */
class Admin_Technologypreview extends WP_Page {

    protected $interfacer = null;

	/** @noinspection PhpMissingParentConstructorInspection */
	public function __construct() {
        $this->interfacer = WP_Interfacer::getInstance();
    }

    public function getCapability() {
        return WP_Constants::CAPABILITY_ADMIN;
    }

    public function getMenuSlug() {
        return 'carerix_technologypreview_page';
    }

    public function getMenuTitle() {
        return 'Technology previews <span style="color:red;">(1)</span>';
    }

    public function getPageTitle() {
        return 'Technology previews';
    }

    public function page() {
        // $input_data = filter_input_array(INPUT_POST, FILTER_FLAG_STRIP_BACKTICK | FILTER_FLAG_ALLOW_OCTAL);
	    $input_data = map_deep( wp_unslash($_POST), 'sanitize_textarea_field' );

	    $additionalfieldssupport_status = Environment_Settings::getCxAdditionalFieldsSupportStatus();

		if (count($input_data) && wp_verify_nonce($input_data['_carerix_nonce_field'], 'additionalfieldssupport')) {
			if ( isset($input_data[Environment_Settings::KEY_ADDITIONALFIELDS_ENABLED]) ) {
				$additionalfieldssupport_status = "on";
			} else {
				$additionalfieldssupport_status = "off";
			}
			Environment_Settings::setCxAdditionalFieldsSupportStatus($additionalfieldssupport_status);
        }

	    $data = array(
	        Environment_Settings::KEY_ADDITIONALFIELDS_ENABLED => $additionalfieldssupport_status,
        );


        $template = new Utils_Template('admin/forms/technologypreview_settings'); // wp-content/plugins/CxWordpress/templates/admin/forms/technologypreview_settings.php
        $template->with($data)->display();
    }

}