<?php

/**
 * Carerix Wordpress Plugin
 *
 * @category settings
 * @author Bogdan Ivanov
 * @copyright Copyright (c) 2013 Carerix.com (http://www.carerix.com)
 * @link http://www.carerix.com
 * @since Aug 30, 2013 9:43:57 AM
 * @version $Rev$
 */

/**
 * Collector class
 * Used to ....
 */
class Entity_Writer_Collector extends Entity_Writer {
	
	protected $postType = 'page';
	protected $type = '_temp_';
	protected $title = '';
	protected $correspondentId = false;
	protected $listOfFragments = array();
	protected $introText = false;
	
	public function __construct($title, $type, $correspondentId, $listOfFragments, $introText = false) {
		parent::__construct(array());
		$this->type = $type . '_page';
		$this->title = $title;
		$this->correspondentId = $correspondentId;
		$this->listOfFragments = $listOfFragments;
		$this->introText = $introText;
	}

	public function getContent() {
		$content = '';
		
		if($this->introText) $content .= $this->introText . '<br>';
		
		foreach($this->listOfFragments as $fragment)
		{
			$content .= $fragment . '<br>';
		}
		return $content;
	}

	public function getCorrespondingID() {
		return $this->correspondentId;
	}

	public function getPublishDate() {
		return date('Y-m-d H:i:s');
	}

	public function getTitle() {
		return $this->title;
	}

    public function getSlug() {
        return false;
    }
	
	
}