<?php

class CarerixLoginWidget extends WP_Widget {

  public function __construct() {
    parent::__construct(
        'carerix_login_widget', 'Carerix Login', array('description' => 'Widget to display the Carerix login form. If you want to display this functionality in any part of your website, use the [cx_login_form] shortcode')
    );
  }

  public function widget($args, $instance) {
    $title = $instance['title'];
    echo $args['before_widget'];

    if (!empty($title))
      echo $args['before_title'] . $title . $args['after_title'];

    if (isset($_GET['forgot']) && $_GET['forgot'] == true && isset($_GET['forgot']) && $_GET['forgot'] == true) {
      $forgot_form = new Entity_Form_ForgotPassword();
      $forgot_form->display();
    } else {
      $login_form = new Entity_Form_Login();
      $login_form->display(true);
    }

    echo $args['after_widget'];
  }

  public function form($instance) {
    if (isset($instance['title'])) {
      $title = $instance['title'];
    } else {
      $title = 'New title';
    }

    echo "
            <p>
                <label for='{$this->get_field_id('title')}'> Title: </label>
                <input  class='widefat' 
                        id='{$this->get_field_id('title')}' 
                        name='{$this->get_field_name('title')}'
                        type='text'
                        value='" . esc_attr($title) . "' />
            </p>
            ";
  }

  public function update($new_instance, $old_instance) {
    $instance = array();

    $instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : '';

    return $instance;
  }

}
