<?php /** @noinspection PhpUndefinedVariableInspection */ ?>
<form method="post" class="undoable">
    <?php wp_nonce_field('conversiontracking', '_carerix_nonce_field'); ?>
    <table class="form-table">
        <tbody>
        <tr valign="top">
            <th scope="col" colspan="2">
                <div class="carerix_msgBox carerix_note">
                    You can add conversion- and trackingcode (like Analytics, Adwords, Indeed, etc) to these specific places.<br/>
                    <br/>
                    If you use JavaScript you can access the following global variables: <code>cx.publicationID</code>
                    , <code>cx.vacancyID</code>, <code>cx.title</code> (title/location vacancy)
                    and optionally <code>cx.gaClientID</code>/<code>cx.gaClientIDWithTimestamp</code> (client-ID/client-ID with timestamp from _ga cookie).<br/>
                    You can also send custom <a href="http://en.help.carerix.com/files/candidates/applicant-source-tracking" target="_blank"><i>applySource</i> and <i>applyTags</i></a> values for
                    applicant source tracking in Carerix (see code examples below).<br/>
                    <br/>
                    Make sure you put JavaScript between &lt;script&gt; tags! PHP-code will be ignored.
                </div>
            </th>
        </tr>

        <tr valign="top">
            <th scope="row" colspan="2">
                <h3>General conversion/trackingcode</h3>
                This code is placed in the &lt;head&gt;-section of all front-end pages. You can use tracking codes like Google Analytics, Google Ads, Facebook Pixel etc.<br>
                But preferably configure tracking codes in your theme (settings) if possible.
            </th>
        </tr>

        <tr valign="top">
            <th scope="row" colspan="2" style="padding-bottom: 0;">
                <label>General trackingcode</label>
            </th>
        </tr>

        <tr valign="top">
            <td style="vertical-align:top;">
                <label>
                    <textarea name="conversion_general" cols="60" rows="5"><?php echo $conversion_general; ?></textarea>
                </label>
            </td>
            <td style="vertical-align:top;">
            </td>
        </tr>

        <tr valign="top">
            <th scope="row" colspan="2">
                <h3>Specific conversion/trackingcode</h3>
                The following code-blocks will be placed in the &lt;body&gt;-section (just below the vacancy text or apply form).
            </th>
        </tr>
        <tr valign="top">
            <th scope="row" colspan="2" style="padding-bottom: 0;">
                <label>Trackingcode vacancy detail page</label>
            </th>
        </tr>
        <tr valign="top">
            <td style="vertical-align:top;">
                <label>
                    <textarea name="conversion_detail" cols="60" rows="5"><?php echo $conversion_detail; ?></textarea>
                </label>
            </td>
            <td style="vertical-align:top;">
                <span style="font-style: italic;">Code example to generate a gtag.js typed Google Analytics event:</span><br/>
<code>&lt;script&gt;<br/>
    gtag('event', 'details', {<br/>
        'event_category': 'vacancy',<br/>
        'event_label': cx.title + ' (' + cx.vacancyID + ')'<br/>
    });<br/>
    &lt;/script&gt;<br/></code>
            </td>
        </tr>

        <tr valign="top">
            <th scope="row" colspan="2" style="padding-bottom: 0;">
                <label>Trackingcode vacancy apply page</label>
            </th>
        </tr>
        <tr valign="top">
            <td style="vertical-align:top;">
                <label>
                    <textarea name="conversion_apply" cols="60" rows="5"><?php echo $conversion_apply; ?></textarea>
                </label>
            </td>
            <td style="vertical-align:top;">
                <span style="font-style: italic;">Code example to store domainname in the match (ApplySource and ApplyTags):</span><br/>
                <code>&lt;script&gt;<br/>
                    &nbsp;&nbsp;cx.setApplySource("linkedin");<br/>
                    &nbsp;&nbsp;cx.setApplyTags("paid,regionA"); // 2 tags are added here<br/>
                    &lt;/script&gt;</code>
            </td>
        </tr>

        <tr valign="top">
            <th scope="row" colspan="2" style="padding-bottom: 0;">
                <label>Trackingcode vacancy thank you page</label>
            </th>
        </tr>
        <tr valign="top">
            <td style="vertical-align:top;">
                <label>
                    <textarea name="conversion_thankyou" cols="60" rows="5"><?php echo $conversion_thankyou; ?></textarea>
                </label>
            </td>
            <td style="vertical-align:top;">
                <span style="font-style: italic;">Note: the properties <code>cx.publicationID</code>, <code>cx.vacancyID</code> and  <code>cx.title</code> are
                    only available in the default "thank you" page. If you use your own custom page/URL, it won't work.
                </span>
            </td>
        </tr>

        <tr valign="top">
            <td colspan="2">
                <p class="submit ">
                    <input type="submit" name="submit" id="submit" class="button button-primary " value="Save changes">
                </p>
            </td>
        </tr>
        </tbody>
    </table>
</form>