<?php /** @noinspection PhpUndefinedVariableInspection */ ?>

<form method="post" class="undoable">
    <?php wp_nonce_field('additionalfieldssupport', '_carerix_nonce_field');
    $url_to_sources = get_admin_url() . "admin.php?page=carerix_general_page&tab=carerix_settings_page#section_sync";
    ?>

    <table class="form-table">
        <tbody>
        <tr valign="top">
            <th scope="col" colspan="2">
                <div class="carerix_msgBox carerix_note">
                    Some new features and functionality may affect the stability of the plugin and/or your site. They are generally not yet recommended for production setups.
                    However, you can enable them here for testing purposes. Technology previews declared stable will be included as generally available in future releases.<br>
                </div>
            </th>
        </tr>
        </tbody>
    </table>

    <ul>
        <li class="itemDetail">
            <h2 class="itemTitle">Extra/Additional Carerix fields support</h2>

            <table class="form-table">
                <tbody>
                <tr valign="top">
                    <td scope="row">
                        For Job orders and Publications additional attributes can be defined. In your Carerix system these attributes will show in the "Additional information" section of the detail page.
                        After enabling this feature an "enforce full sync" (see <a href="<?php echo $url_to_sources; ?>">Carerix->Settings</a>) is required to fetch the new information from your Carerix system.<br>
                        <br>
                        Please <a href="https://help.carerix.com/en/articles/1811088-additional-attributes" target="_blank">read this article</a> to learn more about defining additional attributes in the Carerix system.<br>
                        <br>
                        Important to know:<br>
                        <ul style="list-style-type: disc; list-style-position: inside; padding-left: 4px; margin-top:0;">
                            <li style="margin-bottom: 4px;">The following field types are currently supported: text line, multi line text, url line, number without decimals, number with two decimals, date, date/time, single checkbox, multiple checkbox list, single list select and radio button list;</li>
                            <li style="margin-bottom: 4px;">When you set up a new additional field in your Carerix system via Maintenance->Tables, you need to enter a name in the field "Code". This name is used to identify the fieldname in this Wordpress system;</li>
                            <li style="margin-bottom: 4px;">Tip: In your Carerix system, you can assign the same name (see field "code") to both "Publication Attribute" and "Job Order Attribute". If you do so, the information from that additional field will be preferably retrieved from the Publication file. If empty or not found, the additional field of the Job Order file will be used;</li>
                            <li style="margin-bottom: 4px;">Tip: Use the shortcode <b>[cx_extra field="yourcarerixfieldcode"]</b> to render the information on the vacancy (template) pages;</li>
                        </ul>
                    </td>
                </tr>
                </tbody>
            </table>

            <table class="form-table">
                <tbody>
                    <tr valign="top">
                        <td valign="left" colspan="2">
                            <label>
                                <input type="checkbox" name="<?php echo Environment_Settings::KEY_ADDITIONALFIELDS_ENABLED; ?>" id="<?php echo Environment_Settings::KEY_ADDITIONALFIELDS_ENABLED; ?>" <?php echo $additionalfields_enabled == 'on' ? 'checked' : '';  ?> >
                                Enable Extra/Additional Carerix Fields support
                            </label>
                        </td>
                    </tr>
                </tbody>
            </table>
        </li>
    </ul>

    <p class="submit">
        <input type="submit" name="submit" id="submit" class="button button-primary" value="Save changes">
    </p>
</form>