<?php

$interfacer = WP_Interfacer::getInstance();
$labels = Utils_Labels::get($interfacer->get_default_site_language());

$input_data = array();
// $input_data_post = filter_input_array(INPUT_POST, FILTER_FLAG_STRIP_BACKTICK | FILTER_FLAG_ALLOW_OCTAL);
$input_data_post = map_deep( wp_unslash($_POST), 'sanitize_textarea_field' );
// $input_data_get = filter_input_array(INPUT_GET, FILTER_FLAG_STRIP_BACKTICK | FILTER_FLAG_ALLOW_OCTAL);
$input_data_get = map_deep( $_GET, 'sanitize_textarea_field' );

if ($input_data_post) {
    $input_data += $input_data_post;
}
if ($input_data_get) {
    $input_data += $input_data_get;
}

$carerix_keyword = $input_data['carerix_keyword'] ?? "";
$carerix_number = $input_data['carerix_number'] ?? "";
$carerix_radius = $input_data['carerix_radius'] ?? "";
$carerix_postalcode = $input_data['carerix_postalcode'] ?? "";
$carerix_land = $input_data['carerix_land'] ?? "";
?>

<div id="search-form" >
    <form method="get" action="<?php echo get_pagenum_link(); ?>">
        <input name="carerix_search_action" value="1" type="hidden" />
        <div>
            <label for="carerix_keyword"></label>
            <br />
            <input type="text" name="carerix_keyword" id="carerix_keyword" value="<?php echo $carerix_keyword; ?>" />
        </div>
        <?php
        if ($field_values['number']) :
        ?>
            <div>
                <label for="carerix_number"><?php echo $labels['CxPortal.message.field.number']; ?></label>
                <br />
                <input type="text" name="carerix_number" id="carerix_number" value="<?php echo $carerix_number; ?>" />
            </div>
        <?php
        endif;
        
        if ($field_values['search_by_radius']) :
        ?>
            <div>
                <label for="carerix_radius"><?php echo $labels['CxPortal.message.field.km']; ?></label>
                <br />
                <input type="text" name="carerix_radius" id="carerix_radius" value="<?php echo $carerix_radius; ?>" />
            </div>
            <div>
                <label for="carerix_postalcode"><?php echo $labels['CxPortal.message.field.postalCode']; ?></label>
                <br />
                <input type="text" name="carerix_postalcode" id="carerix_postalcode" value="<?php echo $carerix_postalcode; ?>" />
            </div>
        <?php
        endif;
        
        if ($field_values['country']) :
        ?>
            <div>
                <label for="carerix_land"><?php echo $labels['general.message.field.country']; ?></label>
                <br />
                <select name="carerix_land" id="carerix_land" class="cx_search_widget_select">
                    <option></option>
                <?php for($i = 0; $i < count($countries); $i++) :
                    $selectd = '';
                    if($countries[$i]['value'] == $carerix_land) $selectd = 'selected';
                    echo "<option {$selectd} value='{$countries[$i]['value']}'>{$countries[$i]['label']}</option>";
                endfor; ?>
                </select>
            </div>
        <?php
        endif;
        
        if ($field_values['functiongroup']) :
        ?>
            <div>
                <label><?php echo $labels['CxPortal.message.field.singleFunctionGroup']; ?></label>
                <br />
                <div class="cx_checkbox_group">
                    <?php 
                    $funcGroup = isset($input_data['function_group']) ? $input_data['function_group'] : "";

                    for($i = 0; $i < count($functiongroups); $i++) :
                        $checked = '';
                        if(is_array($funcGroup) && in_array($functiongroups[$i]['value'], $funcGroup)) $checked = 'checked';
                        echo "<label><input type='checkbox' name='function_group[]' {$checked} value='{$functiongroups[$i]['value']}'> {$functiongroups[$i]['label']}</label>";
                    endfor; 
                    ?>
                </div>
            </div>
        <?php
        endif;
        if ($field_values['function']) :
        ?>
            <div>
                <label><?php echo $labels['CxPortal.message.field.function']; ?></label>
                <br />
                <div class="cx_checkbox_group">
                    <?php 
                    $funcGroup = isset($input_data['function']) ? $input_data['function'] : "";

                    for($i = 0; $i < count($functions); $i++) :
                        $checked = '';
                        if(is_array($funcGroup) && in_array($functions[$i]['value'], $funcGroup)) $checked = 'checked';
                        echo "<label><input type='checkbox' name='function[]' {$checked} value='{$functions[$i]['value']}'> {$functions[$i]['label']}</label>";
                    endfor; 
                    ?>
                </div>
            </div>
        <?php
        endif;
        if ($field_values['worklevel']) :
        ?>
            <div>
                <label><?php echo $labels['CxPortal.message.field.professionalLevel']; ?></label>
                <br />
                <div class="cx_checkbox_group">
                    <?php 
                    $worklevel = isset($input_data['worklevel']) ? $input_data['worklevel'] : "";

                    for($i = 0; $i < count($worklevels); $i++) :
                        $checked = '';
                        if(is_array($worklevel) && in_array($worklevels[$i]['value'], $worklevel)) $checked = 'checked';
                        echo "<label><input type='checkbox' name='worklevel[]' {$checked} value='{$worklevels[$i]['value']}'> {$worklevels[$i]['label']}</label>";
                    endfor; 
                    ?>
                </div>
            </div>
        <?php
        endif;
        ?>
        <div>
            <input type="submit" name="carerix_search" value="<?php echo $labels['CxPortal.button.startSearch']; ?>" />
        </div>
    </form>
</div>
